## org.omg.DynamicAny
Interface DynEnumOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynEnum

public interface DynEnumOperations
extends DynAnyOperations

Interface definition : DynEnum

Author:
  OpenORB Compiler

Method Summary
`java.lang.String` `get_as_string()` Operation get_as_string
`int` `get_as_ulong()` Operation get_as_ulong
`void` `set_as_string(java.lang.String value)` Operation set_as_string
`void` `set_as_ulong(int value)` Operation set_as_ulong

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_as_string

    public java.lang.String get_as_string()

  Operation get_as_string

### set_as_string

    public void set_as_string(java.lang.String value)
                       throws InvalidValue

  Operation set_as_string

### get_as_ulong

    public int get_as_ulong()

  Operation get_as_ulong

### set_as_ulong

    public void set_as_ulong(int value)
                      throws InvalidValue

  Operation set_as_ulong